%global basever 0.8.12

Name:           simple-ccsm
Version:        0.8.12
Release:        2%{?dist}
Summary:        Simple settings manager for Compiz
License:        GPLv2+
Group:          User Interface/Desktops
Url:            https://github.com/compiz-reloaded/simple-ccsm
Source:         %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  fdupes
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(compiz) >= %{basever}
BuildRequires:  pkgconfig(libcompizconfig) >= %{basever}
Requires:       compiz-plugins-main >= %{basever}
Requires:       ccsm >= %{basever}
%if 0%{?fedora} < 23  || 0%{?rhel}
Requires:       pygobject3
%else
Requires:       python-gobject
%endif
Recommends:     compiz-plugins-extra >= %{basever}


%description
Compiz settings manager focused on simplicity for an end-user.


%prep
%autosetup

%build
%py2_build \
    --enableDesktopEffects \
    --with-gtk=3.0 \
    --prefix=/usr

%install
%py2_install \
    --prefix=/usr


fdupes -s $RPM_BUILD_ROOT%{_datadir}/

desktop-file-install                              \
    --delete-original                             \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
$RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome --all-name

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
 
%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md NEWS
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/appdata/%{name}.appdata.xml
%{python2_sitelib}/simple_ccsm-%{version}-py2.?.egg-info


%changelog
* Fri Apr 01 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.12-2
- simplify file section

* Wed Mar 30 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.12-1
- initial package

